View Issue Details

IDProjectCategoryView StatusLast Update
0020258mantisbtperformancepublic2016-06-12 00:42
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.3 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020258: Cache user data for my_view_page
Description

when loading "my_view_page.php", the script does a sql query for each user that appears in the bug result set.

This can be optimized by caching all the user data before printing the bug rows

TagsNo tags attached.

Activities

cproensa

cproensa

2015-11-05 15:16

developer   ~0051819

PR:
https://github.com/mantisbt/mantisbt/pull/675

cproensa

cproensa

2015-11-22 14:03

developer   ~0051913

to be precise here:
It's the 'reporter' users who are not being cached

dregad

dregad

2015-12-09 05:37

developer   ~0052085

Many thanks for your contribution.

Related Changesets

MantisBT: master 7f997e87

2015-11-05 15:03:40

cproensa


Committer: dregad Details Diff
Cache reporter user data in view_all_bug_page

Add the reporter id to the array of users to be cached from the bug
filter result. This saves later individual sql queries from
user_cache_row()

Changed the temporary arrays to be associative indexed by id, so we
don't need to call 'array_unqiue' later.

Fixes 0020258

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - view_all_bug_page.php Diff File

Issue History

Date Modified Username Field Change
2015-11-05 15:11 cproensa New Issue
2015-11-05 15:16 cproensa Note Added: 0051819
2015-11-22 14:03 cproensa Note Added: 0051913
2015-12-09 05:36 dregad Changeset attached => MantisBT master 7f997e87
2015-12-09 05:36 dregad Assigned To => dregad
2015-12-09 05:36 dregad Status new => resolved
2015-12-09 05:36 dregad Resolution open => fixed
2015-12-09 05:36 dregad Fixed in Version => 1.3.0-rc.2
2015-12-09 05:37 dregad Assigned To dregad => community
2015-12-09 05:37 dregad Target Version => 1.3.0-rc.2
2015-12-09 05:37 dregad Note Added: 0052085
2016-01-19 15:23 atrol Assigned To community => cproensa
2016-06-12 00:42 vboctor Status resolved => closed